## org.apache.cassandra.db.marshal
Class ReversedType<T>

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType<T>
          org.apache.cassandra.db.marshal.ReversedType<T>

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class ReversedType<T>

extends AbstractType<T>

Field Summary
`AbstractType<T>` `baseType`

Fields inherited from class org.apache.cassandra.db.marshal.AbstractType
`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, reverseComparator`

Method Summary
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`T` `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` `decompose(T value)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.

`static

`<T> ReversedType<T>`

`

`getInstance(AbstractType<T> baseType)`

`static

`<T> ReversedType<T>`

`

`getInstance(TypeParser parser)`

`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
`java.lang.String` `toString()` This must be overriden by subclasses if necessary so that for any AbstractType, this == TypeParser.parse(toString()).
`void` `validate(java.nio.ByteBuffer bytes)`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`getColumnsString, getReverseComparator, getString, isCommutative, isCompatibleWith, parseDefaultParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### baseType

    public final AbstractType<T> baseType

Method Detail

### getInstance

    public static <T> ReversedType<T> getInstance(TypeParser parser)
                                       throws ConfigurationException

  Throws:
    `ConfigurationException`

### getInstance

    public static <T> ReversedType<T> getInstance(AbstractType<T> baseType)

### compare

    public int compare(java.nio.ByteBuffer o1,
                       java.nio.ByteBuffer o2)

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Specified by:
    `getString` in class `AbstractType<T>`

### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)

  Description copied from class: `AbstractType`
  get a byte representation of the given string.

  Specified by:
    `fromString` in class `AbstractType<T>`

### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

  Specified by:
    `validate` in class `AbstractType<T>`
  Throws:
    `MarshalException`

### compose

    public T compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractType<T>`

### decompose

    public java.nio.ByteBuffer decompose(T value)

  Specified by:
    `decompose` in class `AbstractType<T>`

### toString

    public java.lang.String toString()

  Description copied from class: `AbstractType`
  This must be overriden by subclasses if necessary so that for any AbstractType, this == TypeParser.parse(toString()). Note that for backwards compatibility this includes the full classname. For CQL purposes the short name is fine.

  Overrides:
    `toString` in class `AbstractType<T>`

Copyright © 2013 The Apache Software Foundation